package com.gic.haoban.manage.api.service;

import com.gic.api.base.commons.ServiceResponse;

/**
 * 
* @ClassName: HaobanTimerApiService
* @Description: 好办定时入口
* @author xugh
* @date 2022年7月16日 上午9:25:11
*
 */
public interface HaobanTimerApiService {

    /**
     * 
    * @Title: deleteTempWxHm
    * @Description: 定时删除企微临时活码
    * @author xugh
    * @param params
    * @return
    * @throws
     */
    public ServiceResponse<Void> deleteTempWxHm(String params);

    /**
     * 
    * @Title: repairExternalUserId
    * @Description: 检查修复外部联系人ID
    * @author xugh
    * @param wxEnterpriseId
    * @return
    * @throws
     */
    public ServiceResponse<Void> repairExternalUserId(String wxEnterpriseId);

    /**
     * 
    * @Title: repairStaffDepart
    * @Description: 修复成员部门
    * @author xugh
    * @param wxEnterpriseId
    * @return
    * @throws
     */
    public ServiceResponse<Void> repairStaffDepart(String params);

    /**
     * 
    * @Title: handChatNotice
    * @Description: 处理好办事件通知
    * @author xugh
    * @param params
    * @return
    * @throws
     */
    public ServiceResponse<Void> handChatNotice(String params);

    /**
     * 
    * @Title: handHmChat
    * @Description: 处理活码自动建群后踢群和加群
    * @author xugh
    * @param params
    * @return
    * @throws
     */
    public ServiceResponse<Void> handleHmChatFull(String params);

    /**
     * 
    * @Title: handChatNotice
    * @Description: 收到建群事件后,初始化群
    * @author xugh
    * @param params
    * @return
    * @throws
     */
    public ServiceResponse<Void> initGroupChat(String params);

    /**
     * 
    * @Title: initHaobaonGroupChat
    * @Description: 初始化所有好办企业的群
    * @author xugh
    * @param params
    * @return
    * @throws
     */
    public ServiceResponse<Void> initHaobaonGroupChat(String params);
    
    /**
     * 
    * @Title: ownerDimission
    * @Description: 群主离职(每日刷新)
    * @author xugh
    * @param params
    * @return
    * @throws
     */
    public ServiceResponse<Void> ownerDimission(String params);
    
    /**
     * 定时处理欢迎语后的好友
     */
    public ServiceResponse<Void> welcomeForMember(String params);

    /**
     * 退群统计
     * @param params
     * @return
     */
    public ServiceResponse<Void> groupChatQuitTimer(String params) ;

    /**
     * 加好友统计
     * @param params
     */
    public void addFrientMonitorTimer(String params) ;

    public void doErrorFriendTimer(String params) ;

    public void halfTimer(String wxEnterpriseId) ;

    /**
     * 校验是否登录中
     * @param params
     */
    void openStaffTimer(String params) ;

    /**
     * 托管服务到期
     * @param params
     */
    void openStaffServiceTimer(String params) ;

    /**
     * 社群活动定时任务
     * @param params
     */
    void groupChatActivityTime(String params);

    /**
     * 群群发获取msgid
     * @param params
     */
    void groupChatMsgidTimer(String params) ;

    /**
     * 取消企微群群发
     * @param params
     */
    void cancelSendTimer(String params) ;

    /**
     * 建联刷新数据定时任务
     * @param params
     */
    void contactDataTimer(String params);
}
